# Method: projects.locations.registrations.searchDomains

- [HTTP request](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/searchDomains#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/searchDomains#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/searchDomains#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/searchDomains#body.request_body)
- [Response body](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/searchDomains#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/searchDomains#body.SearchDomainsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/searchDomains#body.aspect)
- [Try it!](https://docs.cloud.google.com/domains/docs/reference/rest/v1/projects.locations.registrations/searchDomains#try-it)

Searches for available domain names similar to the provided query.

Availability results from this method are approximate; call `registrations.retrieveRegisterParameters` on a domain before registering to confirm availability.

### HTTP request

`GET https://domains.googleapis.com/v1/{location=projects/*/locations/*}/registrations:searchDomains`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `location` | `string` Required. The location. Must be in the format `projects/*/locations/*`. |

### Query parameters

| Parameters ||
|---|---|
| `query` | `string` Required. String used to search for available domain names. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `query`: - `domains.registrations.list` |

### Request body

The request body must be empty.

### Response body

Response for the `registrations.searchDomains` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "registerParameters": [ { object (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/RegisterParameters`) } ] } ``` |

| Fields ||
|---|---|
| `registerParameters[]` | ``object (`https://docs.cloud.google.com/domains/docs/reference/rest/v1/RegisterParameters`)`` Results of the domain name search. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).